"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DefineResource = exports.META_RESOURCE = void 0;
const common_1 = require("@nestjs/common");
exports.META_RESOURCE = 'keycloak-resource';
/**
 * Decorator that assigns Metadata to be used by a ResourceGuard.
 * Can be used in combination with the @DefineScope decorator.
 *
 * For example: \
 * `@DefineResource('project-management')`
 *
 * @param resource name of the Keycloak resource.
 *
 * @fritzforsit
 */
const DefineResource = (resource) => (0, common_1.SetMetadata)(exports.META_RESOURCE, resource);
exports.DefineResource = DefineResource;
//# sourceMappingURL=resource.decorator.js.map