import { CustomDecorator } from '@nestjs/common';
export declare const META_RESOURCE = "keycloak-resource";
/**
 * Decorator that assigns Metadata to be used by a ResourceGuard.
 * Can be used in combination with the @DefineScope decorator.
 *
 * For example: \
 * `@DefineResource('project-management')`
 *
 * @param resource name of the Keycloak resource.
 *
 * @fritzforsit
 */
export declare const DefineResource: (resource: string) => CustomDecorator<string>;
//# sourceMappingURL=resource.decorator.d.ts.map