import { RequestManager } from './request-manager';
export class PermissionManager {
    requestManager;
    constructor(client, endpoint) {
        this.requestManager = new RequestManager(client, endpoint);
    }
    async requestTicket(ticket) {
        if (!ticket.grant_type) {
            ticket.grant_type = 'urn:ietf:params:oauth:grant-type:uma-ticket';
        }
        const params = new URLSearchParams();
        params.append('grant_type', ticket.grant_type);
        params.append('audience', ticket.audience);
        params.append('response_mode', ticket.response_mode || 'decision');
        if (ticket.resourceId) {
            const permission = ticket.scope
                ? `${ticket.resourceId}#${ticket.scope}`
                : `${ticket.resourceId}`;
            params.append('permission', permission);
        }
        const { data } = await this.requestManager.post(`/`, params, {
            headers: {
                authorization: `Bearer ${ticket.token}`,
            },
        });
        return data;
    }
}
//# sourceMappingURL=permission-manager.js.map